Bug 18933 - Unable to set SMS number in OPAC messaging preferences to empty
Summary: Unable to set SMS number in OPAC messaging preferences to empty
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-13 04:54 UTC by Aleisha Amohia
Modified: 2020-03-18 16:54 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 18933: Allow OPAC messaging SMS number to be set to empty (1.45 KB, patch)
2017-07-13 05:02 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18933: Allow OPAC messaging SMS number to be set to empty (1.72 KB, patch)
2020-02-09 21:56 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18933: Allow OPAC messaging SMS number to be set to empty (1.78 KB, patch)
2020-02-10 10:17 UTC, David Nind
Details | Diff | Splinter Review
Bug 18933: Allow OPAC messaging SMS number to be set to empty (1.83 KB, patch)
2020-02-17 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-07-13 04:54:49 UTC
This is inconsistent with the Staff Client side, where the SMS number can be set to empty. Also I think that since this is borrower information, it should be their choice whether they provide this info or not and should have the ability to remove it
Comment 1 Aleisha Amohia 2017-07-13 05:02:29 UTC
Created attachment 65014 [details] [review]
Bug 18933: Allow OPAC messaging SMS number to be set to empty

To test:
1) Ensure EnhancedMessagingPreferences is enabled and EnhancedMessagingPreferencesOPAC is set to Show
2) Log in to OPAC, go to your messaging tab
3) Set an SMS number if you havent already
4) Try to remove it (set to empty)
5) Notice that it says the number has been updated, but it has not been
set to empty
6) Apply patch and refresh page
7) Attempt to set the number to empty
8) Confirm this is successful

Sponsored-by: Catalyst IT
Comment 2 Dominic Pichette 2017-09-15 19:45:34 UTC
Hey,

I can't manage to recreate the bug. after doing steps 1) to 4), I enter a number, save it, refresh the page again(F5), delete the number, refresh it again(F5) but the field for the number is indeed empty.

Please tell me if there is any information not specified in the test plan I should be aware of.
Comment 3 Aleisha Amohia 2017-09-22 02:42:27 UTC
(In reply to Dominic Pichette from comment #2)
> Hey,
> 
> I can't manage to recreate the bug. after doing steps 1) to 4), I enter a
> number, save it, refresh the page again(F5), delete the number, refresh it
> again(F5) but the field for the number is indeed empty.
> 
> Please tell me if there is any information not specified in the test plan I
> should be aware of.

I can still recreate this bug.
Are you sure you are testing this on the OPAC?
Comment 4 Dominic Pichette 2017-09-22 18:27:09 UTC
Yes, I am in the Opac and the patch has not been installed. I attached two pictures. withoutpatch_1.png shows that the number is really saved in the field and withoutpatch_2.png shows that once the field is saved without a number in it, the field is indeed updated.
Comment 5 David Bourgault 2017-09-22 18:52:38 UTC
Cannot reproduce on master.
Comment 6 Aleisha Amohia 2020-02-09 21:46:34 UTC
I have been able to verify that this bug only occurs if SMSSendDriver is set to Email.
Comment 7 Aleisha Amohia 2020-02-09 21:56:32 UTC
Created attachment 98628 [details] [review]
Bug 18933: Allow OPAC messaging SMS number to be set to empty

To test:
1) Ensure EnhancedMessagingPreferences is enabled and
EnhancedMessagingPreferencesOPAC is set to Show. Set SMSSendDriver to
Email
2) Log in to OPAC, go to your messaging tab
3) Set an SMS number if you havent already
4) Try to remove it (set to empty)
5) Notice that it says the number has been updated, but it has not
been set to empty
6) Apply patch and refresh page
7) Attempt to set the number to empty
8) Confirm this is successful

Sponsored-by: Catalyst IT
Comment 8 David Nind 2020-02-10 10:17:23 UTC
Created attachment 98642 [details] [review]
Bug 18933: Allow OPAC messaging SMS number to be set to empty

To test:
1) Ensure EnhancedMessagingPreferences is enabled and
EnhancedMessagingPreferencesOPAC is set to Show. Set SMSSendDriver to
Email
2) Log in to OPAC, go to your messaging tab
3) Set an SMS number if you havent already
4) Try to remove it (set to empty)
5) Notice that it says the number has been updated, but it has not
been set to empty
6) Apply patch and refresh page
7) Attempt to set the number to empty
8) Confirm this is successful

Sponsored-by: Catalyst IT

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 Katrin Fischer 2020-02-17 21:24:32 UTC
Created attachment 99133 [details] [review]
Bug 18933: Allow OPAC messaging SMS number to be set to empty

To test:
1) Ensure EnhancedMessagingPreferences is enabled and
EnhancedMessagingPreferencesOPAC is set to Show. Set SMSSendDriver to
Email
2) Log in to OPAC, go to your messaging tab
3) Set an SMS number if you havent already
4) Try to remove it (set to empty)
5) Notice that it says the number has been updated, but it has not
been set to empty
6) Apply patch and refresh page
7) Attempt to set the number to empty
8) Confirm this is successful

Sponsored-by: Catalyst IT

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Martin Renvoize 2020-02-19 11:34:03 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-03-13 00:04:08 UTC
Pushed to 19.11.x for 19.11.04
Comment 12 Lucas Gass 2020-03-18 16:54:01 UTC
backported to 19.05.x for 19.05.09